package de.intevation.artifactdatabase.rest;

import org.restlet.representation.OutputRepresentation;

import de.intevation.artifacts.Artifact;

import org.restlet.data.MediaType;

import java.io.OutputStream;
import java.io.IOException;

import org.w3c.dom.Document;

/**
 * @author Sascha L. Teichmann (sascha.teichmann@intevation)
 */
public class OutRepresentation
extends      OutputRepresentation
{
    protected Artifact artifact;
    protected Document document;
    protected Object   context;

    public OutRepresentation(
        MediaType mediaType, 
        Artifact  artifact, 
        Document  document,
        Object    context
    ) {
        super(mediaType);
        this.artifact = artifact;
        this.document = document;
        this.context  = context;
    }

    public void write(OutputStream outputStream) throws IOException {
        artifact.out(document, outputStream, context);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
